summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--development/mono-addins/README11
-rw-r--r--development/mono-addins/mono-addins.SlackBuild44
-rw-r--r--development/mono-addins/mono-addins.info8
-rw-r--r--development/mono-addins/slack-desc11
4 files changed, 74 insertions, 0 deletions
diff --git a/development/mono-addins/README b/development/mono-addins/README
new file mode 100644
index 0000000000..5cd7d3bd2b
--- /dev/null
+++ b/development/mono-addins/README
@@ -0,0 +1,11 @@
+Mono.Addins is a framework for creating extensible applications, and for
+creating libraries which extend those applications.
+
+Mono.Addins has been designed to be easy to use and useful for a wide range
+of applications: from simple applications with small extensibility needs, to
+complex applications which need support for large add-in structures.
+
+This new framework intends to set an standard for building extensible
+applications and add-ins in Mono.
+
+Requires Mono and Gtk-Sharp, available at SlackBuilds.org
diff --git a/development/mono-addins/mono-addins.SlackBuild b/development/mono-addins/mono-addins.SlackBuild
new file mode 100644
index 0000000000..ff2c1c3ed5
--- /dev/null
+++ b/development/mono-addins/mono-addins.SlackBuild
@@ -0,0 +1,44 @@
+#!/bin/sh
+
+# Slackware build script for Mono.Addins
+# Written by Erik Hanson erik@slackbuilds.org
+
+set -eu
+
+PRGNAM=mono-addins
+VERSION=0.3.1
+ARCH=i486 # Unless you built Mono with a different ARCH, leave this alone.
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var/lib \
+ --mandir=/usr/man \
+ --disable-static \
+ --disable-tests
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION $PKG/install
+cp -a AUTHORS COPYING ChangeLog NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/mono-addins/mono-addins.info b/development/mono-addins/mono-addins.info
new file mode 100644
index 0000000000..487b027f01
--- /dev/null
+++ b/development/mono-addins/mono-addins.info
@@ -0,0 +1,8 @@
+PRGNAM="mono-addins"
+VERSION="0.3.1"
+HOMEPAGE="http://www.mono-project.com/Mono.Addins"
+DOWNLOAD="http://ftp.novell.com/pub/mono/sources/mono-addins/mono-addins-0.3.1.tar.bz2"
+MD5SUM="bae5e01ba61bd261de2335ab0dfe999f"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="Michiel"
diff --git a/development/mono-addins/slack-desc b/development/mono-addins/slack-desc
new file mode 100644
index 0000000000..194aa0f1a2
--- /dev/null
+++ b/development/mono-addins/slack-desc
@@ -0,0 +1,11 @@
+mono-addins: Mono.Addins (a framework for creating extensible applications)
+mono-addins:
+mono-addins: Mono.Addins has been designed to be easy to use and useful for a
+mono-addins: wide range of applications: from simple applications with small
+mono-addins: extensibility needs, to complex applications which need support
+mono-addins: for large add-in structures.
+mono-addins:
+mono-addins: This new framework intends to set an standard for building
+mono-addins: extensible applications and add-ins in Mono.
+mono-addins:
+mono-addins: http://www.mono-project.com/Mono.Addins